Summary:	rendercheck application - simple tests of the X Render extension
Summary(pl.UTF-8):	Aplikacja rendercheck - proste testy rozszerzenia X Render
Name:		xorg-app-rendercheck
Version:	1.6
Release:	1%{?tld}
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/test/rendercheck-%{version}.tar.xz
# Source0-md5:	4b3b862b4fad00a0ca9183df71b6bb42
URL:		https://xorg.freedesktop.org/
BuildRequires:	meson
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXrender-devel
BuildRequires:	xorg-proto-xproto-devel >= 7.0.17
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
rendercheck application - a program to test a Render extension
implementation against separate calculations of expected output.

%description -l pl.UTF-8
Aplikacja rendercheck - program do sprawdzania implementacji
rozszerzenia Render względem oddzielnie wyliczonego oczekiwanego
rezultatu.

%prep
%setup -q -n rendercheck-%{version}

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README doc/TODO
%attr(755,root,root) %{_bindir}/rendercheck
%{_mandir}/man1/rendercheck.1*
%changelog
* Sun Jun 09 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-app-rendercheck.git;a=log;h=master

* Mon May 06 2024 Jakub Bogusz <qboosh@pld-linux.org> 043414e
- updated to 1.6

* Sat Jun 13 2015 Jakub Bogusz <qboosh@pld-linux.org> 05ddc64
- updated to 1.5

* Mon Nov 22 2010 Jakub Bogusz <qboosh@pld-linux.org> f6bf0e6
- updated to 1.4

* Sat Mar 08 2008 Jakub Bogusz <qboosh@pld-linux.org> b6793a7
- updated to 1.3

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 05f2fcf
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e71ce67
- converted to UTF-8

* Tue Nov 28 2006 Jakub Bogusz <qboosh@pld-linux.org> 0e05cd6
- real summaries

* Tue Nov 28 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 84402aa
- up to 1.2

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> dea5f61
- release 1

* Fri May 26 2006 Jakub Bogusz <qboosh@pld-linux.org> ebce825
- new

